package org.sf.charttaglibs.charts;

import java.util.Iterator;

import javax.servlet.jsp.JspException;

import org.jfree.chart.ChartFactory;
import org.jfree.chart.plot.PlotOrientation;
import org.jfree.data.category.DefaultCategoryDataset;

/**
 * Class that build area chart
 * @author mmohamed |at| dcc |dot| uchile |dot| cl
 */
public class AreaTag extends CategoryBasedChart {
	
	public void initChart() throws JspException {
		if (collection != null) {
			Iterator collIterator = getIterator(collection, null);
			DefaultCategoryDataset dataset = getDataSet();
			chart = null;
			// setting the plot orientation
			PlotOrientation po = null;
			if(plotOrientation != null && plotOrientation.equalsIgnoreCase("HORIZONTAL"))
				po = PlotOrientation.HORIZONTAL;
			else
				po = PlotOrientation.VERTICAL; // The default value
			
			chart = ChartFactory.createAreaChart(
					title, // chart title
					domainAxisLabel, // domain axis label
					rangeAxisLabel, // range axis label
					dataset, // data
					po, // plot orientation
					createLegend, // include legend
					createTooltip, // tooltips?
					createUrl // URLs?
			);
		}
	}
}
