/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package org.sf.charttaglibs.charts;

import java.util.Iterator;

import javax.servlet.jsp.JspException;

import org.jfree.chart.ChartFactory;
import org.jfree.data.general.DefaultPieDataset;

/**
 * Class that build pie chart and 3d pie chart
 * @author mmohamed |at| dcc |dot| uchile |dot| cl
 */
public class PieTag extends PieBasedChart {

    /**
     * Overrides the initChart method of BaseChartTag
     * @see org.sf.charttaglibs.BaseChartTag#initChart()
     */
	public void initChart() throws JspException {
		if (collection != null) {
			Iterator collIterator = getIterator(collection, null);
			DefaultPieDataset dataset = getDataSet();
			chart = null;
			if(threeD) {
				chart = ChartFactory.createPieChart3D(
						title,
						dataset,
						createLegend, // legend?
						createTooltip, // tooltips?
						createUrl // URLs?
				);
			} else {
				chart = ChartFactory.createPieChart(
						title,
						dataset,
						createLegend, // legend?
						createTooltip, // tooltips?
						createUrl // URLs?
				);
			}
			setPlotAttribute();
		}
	}	
}
