/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package org.sf.charttaglibs.utils;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>Class that manage all messages
 * TODO make the internationalization</p>
 * @author mmohamed |at| dcc |dot| uchile |dot| cl
 * @version 1.0
 */


public class Message {

	/// The message map
    private static final Map message = new HashMap();

    /**
     * Initialize the message map.
     */
    static {
    	message.put("lookup.scope", "Scope not found");
    	message.put("lookup.bean", "Bean not found in scope");
    	message.put("lookup.bean.any", "Bean not found in any scope");
    	message.put("lookup.access", "Property not found for bean");
    	message.put("lookup.argument", "Property not found for bean");
    	message.put("lookup.target", "Property not found for bean");
    	message.put("lookup.method", "Method not found for bean");
    	message.put("write.io", "Input/Output Error");
    	message.put("getter.property", "No geeter method for property in bean");
    	message.put("getter.access", "No geeter method for property in bean");
    	message.put("getter.result","No geeter method for property in bean");
    	message.put("getter.method", "No geeter method for property in bean");
    	message.put("getter.property", "No geeter method for property in bean");
    	message.put("getter.bean", "No geeter method for bean in bean");
    	message.put("baseChartTag.iterator", "Iterator error over collection in BaseChartTag.java");
    	message.put("integer.not.valid", "The field must be integer");
    	message.put("item.null", "The field is null!!");
    	message.put("color.format", "The field must be in hexadecimal format #FFFFFF");
    	
    }
	/**
	 * Return the formatted message for the key and args
	 * @param key of the message map
	 * @param args0 first argument
	 * @param args1 segund argument
	 * @param args2 third argument
	 * @return The formatted message
	 */
	public String getMessage(String key,Object args0,Object args1,Object args2) {
		String value = null;
		if(message.containsKey(key))
			value = message.get(key).toString() + " (param_0:'" + args0 +"'" 
			+ ", param_1:'" + args1 +"'" + ", param_2:'" + args2 +"')" ; 
		return value;
	}
	
	/**
	 * Return the formatted message for the key and args
	 * @param key of the message map
	 * @param args0 first argument
	 * @param args1 segund argument
	 * @return The formatted message
	 */
	public String getMessage(String key,Object args0,Object args1) {
		String value = null;
		if(message.containsKey(key))
			value = message.get(key).toString() + " (param_0:'" + args0 +"'" 
			+ ", param_1:'" + args1 +"')" ; 
		return value;
	}
	
	/**
	 * Return the formatted message for the key and arg
	 * @param key of the message map
	 * @param args0 the argument
	 * @return The formatted message
	 */
	public String getMessage(String key,Object args0) {
		String value = null;
		if(message.containsKey(key))
			value = message.get(key).toString() + " (param_0:'" + args0 +"')"; 
		return value;
	}
	
	/**
	 * Return the formatted message for the key
	 * @param key of the message map
	 * @return The formatted message
	 */
	public String getMessage(String key) {
		String value = null;
		if(message.containsKey(key))
			value = message.get(key).toString(); 
		return value;
	}

}
